aboutsummaryrefslogtreecommitdiffstats
path: root/community/fetchmail/fetchmail.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/fetchmail/fetchmail.initd')
-rw-r--r--community/fetchmail/fetchmail.initd37
1 files changed, 37 insertions, 0 deletions
diff --git a/community/fetchmail/fetchmail.initd b/community/fetchmail/fetchmail.initd
new file mode 100644
index 00000000000..cee4f69f861
--- /dev/null
+++ b/community/fetchmail/fetchmail.initd
@@ -0,0 +1,37 @@
+#!/sbin/openrc-run
+
+description="Remote mail retrieval and forwarding"
+
+pidfile=/var/run/fetchmail/fetchmail.pid
+
+depend() {
+ need net
+ after firewall
+ use mta
+}
+
+checkconfig() {
+ if [ ! -f "${CFGFILE}" ]; then
+ eerror "Configuration file ${CFGFILE} not found"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ checkpath -d ${pidfile%/*} -o fetchmail
+
+ ebegin "Starting fetchmail"
+ start-stop-daemon --start --quiet \
+ --user fetchmail --exec /usr/bin/fetchmail \
+ -- -f "${CFGFILE}" ${FETCHMAIL_OPTS} \
+ --pidfile ${pidfile} -i /var/lib/fetchmail/.fetchids
+ eend ${?}
+}
+
+stop() {
+ ebegin "Stopping fetchmail"
+ start-stop-daemon --stop --quiet --pidfile ${pidfile}
+ eend ${?}
+}
+